Bug 1165679 - Review Request: timedatex - D-Bus service for system clock and RTC settings
Summary: Review Request: timedatex - D-Bus service for system clock and RTC settings
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Florian "der-flo" Lehner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-11-19 13:40 UTC by Miroslav Lichvar
Modified: 2014-11-21 14:34 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-21 14:34:54 UTC
dev: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Miroslav Lichvar 2014-11-19 13:40:34 UTC
Spec URL: https://mlichvar.fedorapeople.org/tmp/timedatex.spec
SRPM URL: https://mlichvar.fedorapeople.org/tmp/timedatex-0.1-1.fc20.src.rpm
Description:
timedatex is a D-Bus service that implements the org.freedesktop.timedate1
interface. It can be used to read and set the system clock, the real-time clock
(RTC), the system timezone, and enable or disable an NTP client installed on
the system. It is a replacement for the systemd-timedated service.

Fedora Account System Username: mlichvar

Comment 1 Florian "der-flo" Lehner 2014-11-19 18:15:44 UTC
hi Miroslav!

rpmlint-output:

timedatex.x86_64: W: spelling-error %description -l en_US freedesktop -> free desktop, free-desktop, desktop
timedatex.x86_64: W: spelling-error %description -l en_US timedated -> time dated, time-dated, intimidated
timedatex.x86_64: W: no-manual-page-for-binary timedatex
timedatex.src: W: spelling-error %description -l en_US freedesktop -> free desktop, free-desktop, desktop
timedatex.src: W: spelling-error %description -l en_US timedated -> time dated, time-dated, intimidated
timedatex.src:48: E: hardcoded-library-path in /usr/lib/systemd/ntp-units.d
2 packages and 0 specfiles checked; 1 errors, 5 warnings.

For more information on this error please take a look at https://fedoraproject.org/wiki/Common_Rpmlint_issues#hardcoded-library-path

Please fix this and I will take another review.

Cheers,
 Flo

Comment 2 Miroslav Lichvar 2014-11-20 08:21:08 UTC
(In reply to Florian "der-flo" Lehner from comment #1)
> timedatex.src:48: E: hardcoded-library-path in /usr/lib/systemd/ntp-units.d
> 2 packages and 0 specfiles checked; 1 errors, 5 warnings.
> 
> For more information on this error please take a look at
> https://fedoraproject.org/wiki/Common_Rpmlint_issues#hardcoded-library-path

That page says the solution is to use a macro, but I couldn't find one for /usr/lib or /usr/lib/systemd. %{_libdir} wouldn't work here as it may be set to /usr/lib64 on 64-bit archs.

In the systemd spec similar directories are specified as %{_usr}/lib/systemd, which still seems to produce the rpmlint error. Any suggestions on how to fix it?

Thanks for taking the review.

Comment 3 Florian "der-flo" Lehner 2014-11-20 18:03:24 UTC
Hi Miroslav!

I see your point.
Looking at ntp (http://pkgs.fedoraproject.org/cgit/ntp.git/tree/ntp.spec#n383), I think it's ok here, too.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[ ]: Package does not contain kernel modules.
[ ]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later)". Detailed output of licensecheck in
     /home/flo/review/1165679-timedatex/licensecheck.txt
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/lib/systemd/ntp-
     units.d(systemd)
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
   ---> there is no macro for /usr/lib/systemd/ which produces the rpmlint error
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
   ---> http://koji.fedoraproject.org/koji/taskinfo?taskID=8195219
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: timedatex-0.1-1.fc22.x86_64.rpm
          timedatex-0.1-1.fc22.src.rpm
timedatex.x86_64: W: spelling-error %description -l en_US freedesktop -> free desktop, free-desktop, desktop
timedatex.x86_64: W: spelling-error %description -l en_US timedated -> time dated, time-dated, intimidated
timedatex.x86_64: W: no-manual-page-for-binary timedatex
timedatex.src: W: spelling-error %description -l en_US freedesktop -> free desktop, free-desktop, desktop
timedatex.src: W: spelling-error %description -l en_US timedated -> time dated, time-dated, intimidated
timedatex.src:48: E: hardcoded-library-path in /usr/lib/systemd/ntp-units.d
2 packages and 0 specfiles checked; 1 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint timedatex
timedatex.x86_64: W: spelling-error %description -l en_US freedesktop -> free desktop, free-desktop, desktop
timedatex.x86_64: W: spelling-error %description -l en_US timedated -> time dated, time-dated, intimidated
timedatex.x86_64: W: no-manual-page-for-binary timedatex
1 packages and 0 specfiles checked; 0 errors, 3 warnings.
# echo 'rpmlint-done:'



Requires
--------
timedatex (rpmlib, GLIBC filtered):
    /bin/sh
    libc.so.6()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libselinux.so.1()(64bit)
    polkit
    rtld(GNU_HASH)
    systemd
    util-linux



Provides
--------
timedatex:
    timedatex
    timedatex(x86-64)



Source checksums
----------------
https://github.com/mlichvar/timedatex/archive/v0.1/timedatex-0.1.tar.gz :
  CHECKSUM(SHA256) this package     : 80a6c3b3e5c28e435f5a889b144a62a845735133a85405030725d899d33d3f54
  CHECKSUM(SHA256) upstream package : 80a6c3b3e5c28e435f5a889b144a62a845735133a85405030725d899d33d3f54


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1165679
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG


===== Solution =====
      APPROVED

Comment 4 Miroslav Lichvar 2014-11-21 07:51:07 UTC
Thanks for the review!

Comment 5 Miroslav Lichvar 2014-11-21 07:54:23 UTC
New Package SCM Request
=======================
Package Name: timedatex
Short Description: D-Bus service for system clock and RTC settings
Upstream URL: https://github.com/mlichvar/timedatex
Owners: mlichvar
Branches:
InitialCC:

Comment 6 Gwyn Ciesla 2014-11-21 13:48:38 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.